'Extended Drive Attributes Functions VBScript
'Version 1.0
'Copyright 2002, Rowan Gillson
'Not redistributable without express permission from author.
'Suitable for Windows 2000/XP only.
'
'
'comments to r_gillson@hotmail.com
'

on error resume Next

Dim oFileSys, Drive, sDriveType

Set oFileSys = CreateObject("Scripting.FileSystemObject")
Set Drive = oFileSys.GetDrive("C")
Set DiskInfoSet = GetObject("winmgmts:{impersonationLevel=impersonate}!//localhost").ExecQuery("select Model, SCSIBus, SCSILogicalUnit, SCSIPort, SCSITargetId from Win32_DiskDrive where Index = 0")


'----------------------------------------------
'Displays fixed disk model
Function DriveName()

Count = 0
For each sSNVar in DiskInfoSet
	Count = Count + 1
Next

ReDim sSN(Count - 1)
Count = 0
For each sSNVar in DiskInfoSet
	sSN(Count) = sSNVar.Model(0)
	DriveName = sSN(Count)
	Count = Count + 1
Next

End Function

'----------------------------------------------
'Displays SCSI Bus ID
Function SCSIBusID()

Count = 0
For each sSBVar in DiskInfoSet
	Count = Count + 1
Next

ReDim sSB(Count - 1)
Count = 0
For each sSBVar in DiskInfoSet
	sSB(Count) = sSBVar.SCSIBus(0)
	SCSIBusID = sSB(Count)
	Count = Count + 1
Next

End Function

'----------------------------------------------
'Displays SCSI Logical Unit Number (LUN)
Function SCSILunID()

Count = 0
For each sSLVar in DiskInfoSet
	Count = Count + 1
Next

ReDim sSL(Count - 1)
Count = 0
For each sSLVar in DiskInfoSet
	sSL(Count) = sSLVar.SCSILogicalUnit(0)
	SCSILunID = sSL(Count)
	Count = Count + 1
Next

End Function

'----------------------------------------------
'Displays SCSI Port Number
Function SCSIPortID()

Count = 0
For each sSPVar in DiskInfoSet
	Count = Count + 1
Next

ReDim sSP(Count - 1)
Count = 0
For each sSPVar in DiskInfoSet
	sSP(Count) = sSPVar.SCSILogicalUnit(0)
	SCSIPortID = sSP(Count)
	Count = Count + 1
Next

End Function

'----------------------------------------------
'Displays SCSI Target Id
Function SCSITargetID()

Count = 0
For each sSTVar in DiskInfoSet
	Count = Count + 1
Next

ReDim sST(Count - 1)
Count = 0
For each sSTVar in DiskInfoSet
	sST(Count) = sSTVar.SCSITargetId(0)
	SCSITargetID = sST(Count)
	Count = Count + 1
Next

End Function

'----------------------------------------------



'----------------------------------------------
'Displays individual drive volume name
Function VolumeName()

If Drive.IsReady = True Then
	VolumeName = Drive.VolumeName
Else
VolumeName = "Not Ready"
End If

End Function

'----------------------------------------------
'Displays individual volume type
Function DriveType()

Select Case Drive.DriveType
	Case 0: sDriveType = "Unknown"
	Case 1: sDriveType = "Removable"
	Case 2: sDriveType = "Fixed"
	Case 3: sDriveType = "Network"
	Case 4: sDriveType = "CD-ROM"
	Case 5: sDriveType = "RAM Disk"
End Select
	DriveType = sDriveType

End Function

'----------------------------------------------
'Displays individual partition filesystem type
Function FileSysType()

If Drive.IsReady = True Then
	FileSysType = Drive.FileSystem
Else
	FileSysType = "Not Ready"
End If

End Function

