'@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
'@ GetFolderStats.vbs	VERSION 1					        @
'@ By Brent Ramerth								@
'@ Morphx Technologies (www.morphxtech.com)				        @
'@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

' Replace the folder below with the name of the folder you want to keep track of.
' The name must be in quotes!
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Folder = "C:\WINDOWS\"

' If there is a number you want to subtract from the total given, enter it:
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Minus = 0

' Enter the number of digits that you want the program to round results to:
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Digits = 2

'<-------------------------------Begin Code------------------------------------->

Dim oFolder, oFiles

Function GetFileCount()
    Dim oFS
    Set oFS = CreateObject("Scripting.FileSystemObject")
    Set oFolder = oFS.GetFolder(Folder)
    set oFiles = oFolder.Files
    getfilecount = oFiles.Count - Minus
end function

Function GetFolderSizeKBytes()
    Dim oFS, oFolder
    Set oFS = CreateObject("Scripting.FileSystemObject")
    Set oFolder = oFS.GetFolder(Folder)
    GetFolderSizeKBytes = Round(oFolder.size / 1028, Digits)
end function

Function GetFolderSizeMBytes()
    Dim oFS, oFolder
    Set oFS = CreateObject("Scripting.FileSystemObject")
    Set oFolder = oFS.GetFolder(Folder)
    GetFolderSizeMBytes = Round(oFolder.size / (1028)^2, Digits)
end function

Function GetFolderSizeGBytes()
    Dim oFS, oFolder
    Set oFS = CreateObject("Scripting.FileSystemObject")
    Set oFolder = oFS.GetFolder(Folder)
    GetFolderSizeGBytes = Round(oFolder.size / (1028)^3, Digits)
end function
